#include <iostream>
#include <stdio.h>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
int pra(int x[],int y[],int n,int m)
{
	int i=1;
	int pom1=n-1;
	int pom2=m-1;
	while(i<=n || i<=m)
	{
		if(pom1==-1)
			pom1=n-1;
		if(pom2==-1)
			pom2=m-1;
		if(x[pom1]>y[pom2])
			return 1;
		if(x[pom1]<y[pom2])
			return 2;
		i++;
		pom1--;
		pom2--;
	}
	return 0;
}
int main(int argc, char** argv) {
	long long a,b,c;
	int A[19],B[19],C[19],n=0,m=0,h=0;
	scanf("%lld%lld%lld",&a,&b,&c);
	long long pa=a;
	long long pb=b;
	long long pc=c;
	while(pa>0)
	{
		A[n]=pa%10;
		pa/=10;
		n++;
	}
	while(pb>0)
	{
		B[m]=pb%10;
		pb/=10;
		m++;
	}
	while(pc>0)
	{
		C[h]=pc%10;
		pc/=10;
		h++;
	}
	int jd=pra(A,B,n,m);
	int tj=pra(C,A,h,n);
	int dt=pra(B,C,m,h);
	if(jd==0 && dt==0)
		printf("%lld%lld%lld",a,b,c);
	if(jd==0 && dt==1)
		printf("%lld%lld%lld",a,b,c);
	if(jd==0 && dt==2)
		printf("%lld%lld%lld",c,b,a);
	if(jd==1 && dt==0)
		printf("%lld%lld%lld",a,b,c);
	if(jd==1 && dt==1)
		printf("%lld%lld%lld",a,b,c);
	if(jd==1 && dt==2 && tj==0)
		printf("%lld%lld%lld",a,c,b);
	if(jd==1 && dt==2 && tj==1)
		printf("%lld%lld%lld",c,a,b);
	if(jd==1 && dt==2 && tj==2)
		printf("%lld%lld%lld",a,c,b);
	if(jd==2 && dt==0)
		printf("%lld%lld%lld",b,c,a);
	if(jd==2 && dt==1 && tj==0)
		printf("%lld%lld%lld",b,a,c);
	if(jd==2 && dt==1 && tj==1)
		printf("%lld%lld%lld",b,c,a);
	if(jd==2 && dt==1 && tj==2)
		printf("%lld%lld%lld",b,a,c);
	if(jd==2 && dt==2)
		printf("%lld%lld%lld",c,b,a);
	return 0;
}